# Interface IntFunction<R>

Type Parameters:
  `R` - the type of the result of the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IntFunction<R>
Represents a function that accepts an int-valued argument and produces a result. This is the `int`-consuming primitive specialization for `Function`.

This is a functional interface whose functional method is `apply(int)`.

Since:
  1.8
See Also:
  - `Function`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `R`
  `apply(int value)`
  Applies this function to the given argument.

- ## Method Details

  - ### apply

    R apply(int value)
    Applies this function to the given argument.
    Parameters:
      `value` - the function argument
    Returns:
      the function result